%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /var/www/html

Summary: Internet Messaging Program: webmail access to IMAP/POP3 accounts.
Name: imp
Version: 2.2.4
Release: 3
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/imp/tarballs/imp-%{version}.tar.gz
Source1: imp.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root
Requires: php-imap >= 3.0.16, apache
Requires: horde = 1.2.4
Requires: horde-phplib-storage
Prereq: /usr/bin/perl

%description
IMP is the Internet Messaging Program, one of the Horde components.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with IMP)
please visit http://www.horde.org/.

Once this package is installed, you must follow follow these steps to
configure IMP. The following commands (as root) will do this :
$ cd %{contentdir}/horde
$ sh install.sh
(go to http://yourserver.com/horde/setup.php3 in a web browser)
$ sh secure.sh

If you are using a database, you also need to set the database password:
$ sh scripts/database/dbpasswd.sh

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -D %{SOURCE1} %{buildroot}%{apachedir}/conf/imp.conf
perl -pi -e 's|\@CONTENTDIR\@|/var/www/html|g' %{buildroot}%{apachedir}/conf/imp.conf
mkdir -p %{buildroot}%{contentdir}/horde/imp
cp -a * %{buildroot}%{contentdir}/horde/imp

%post
grep -i 'Include.*imp.conf$' %{apachedir}/conf/httpd.conf >/dev/null 2>&1
if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*imp.conf$/i);' %{apachedir}/conf/httpd.conf
else
	echo "Include %{apachedir}/conf/imp.conf" >>%{apachedir}/conf/httpd.conf
fi
/sbin/service httpd reload >/dev/null 2>&1 || :
sleep 1 # Settling time when installing multiple RPMs at once
cat << EOF
IMPORTANT : If you are installing for the first time, you must now
configure IMP. The following commands (run as root) will do this:
$ cd %{contentdir}/horde
$ sh install.sh
(go to http://yourserver.com/horde/setup.php3 in a web browser)
$ sh secure.sh

If you are using a database, you also need to set the database password:
$ sh scripts/database/dbpasswd.sh

(See %{contentdir}/horde/imp/docs/INSTALL for more information.)

EOF

%postun
if [ $1 -eq 0 ]; then
	perl -pi -e 's/^/#/ if (/^Include.*imp.conf$/i);' %{apachedir}/conf/httpd.conf
	/sbin/service httpd reload >/dev/null 2>&1 || :
	sleep 1 # Settling time when installing multiple RPMs at once
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
# Apache imp.conf file
%config %{apachedir}/conf/imp.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/imp
# Include top-level files by hand
%{contentdir}/horde/imp/*.css
%{contentdir}/horde/imp/*.php3
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/imp/graphics
%{contentdir}/horde/imp/lib
%{contentdir}/horde/imp/locale
%{contentdir}/horde/imp/scripts
%{contentdir}/horde/imp/templates
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/imp/COPYING
%doc %{contentdir}/horde/imp/README
%docdir %{contentdir}/horde/imp/docs
%{contentdir}/horde/imp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750, root, %{apachegroup}) %dir %{contentdir}/horde/imp/config
%{contentdir}/horde/imp/config/*.dist
%defattr(-, root, %{apachegroup})
%config %{contentdir}/horde/imp/config/*.html
%config %{contentdir}/horde/imp/config/*.php3
%config %{contentdir}/horde/imp/config/*.txt

%changelog
* Mon Feb 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.4 and spec cleanup

* Fri Nov 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated for RedHat 7.0

* Thu Oct 05 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.3 release 1

* Sat Sep 30 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.2 release 1:
- remove Prefix (relocating this package will break it)
- remove empty %preun section
- fix upgrade (-U) bug:  only comment out imp.conf if removing (-e)
- compensate for that bug in previous RPMs

* Sat Sep 09 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.1 release 1

* Tue Aug 22 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.0 release 1:
- remove dashversion hack now that we're past pre

* Sun Aug 06 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.0-pre14 release 1:
- require Horde PHPLIB session storage (horde-phplib-storage)
- include *.css files at top level
- add some settling time (1 sec.) after Apache restart

* Tue Jul 25 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.0-pre13 release 2:
- use %{apachedir} variable for /etc/httpd
- add %{apachedir}/conf as relocatable prefix
- contributed by Dan Brown <danb35@earthlink.net>:
-   use %{apacheuser} and %{apachegroup} variables for nobody
-   use %{contentdir} variable for /home/httpd
-   restart Apache server automatically

%changelog
* Wed Jul 07 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.0-pre13 release 1:
- imp.conf is no longer in tarball; install it from Source1
- imp/config/README has been removed as of 2.2.0-pre13
- new secure permission rules (nobody:nobody -> root:nobody)
- don't override config. file permissions (lest "rpm -e" leave garbage)

* Tue May 30 2000 Brent J. Nordquist <bjn@horde.org>
- 2.2.0-pre12 release 1:
- RPM sets %{version} and %{release}; don't need to %define them manually
- reworded Summary and %description
- hack around version "2.2.0-pre12" for now (RPM version can't have a dash)
- new Source: location on ftp.horde.org
- added URL: and Packager:
- no Requires: Horde (we rely on "horde" RPM)
- added Requires: for php-imap and horde
- %install: copy with -p to preserve timestamps
- %install: no need to touch *.lib files (they're distributed now)
- /etc/httpd/conf/imp.conf Horde Apache config (Include'd from httpd.conf)
- don't remove build root in %post; that runs after RPM installation
- print message after RPM install:  configure IMP
- documentation now marked with %doc tag (goes to /usr/doc)
- config files now marked with %config tag (preserved on upgrade/uninstall)
- secure permissions for config directory (local users can't snoop)
- other minor style changes

* Mon Aug 02 1999 Dale Lovelace <dale@redhat.com>
- up to 1.0.10

* Fri Jul 09 1999 Dale Lovelace <dale@redhat.com>
- up to 1.0.9

* Thu Jul 08 1999 Dale Lovelace <dale@redhat.com>
- Up to 1.0.8
- Clean up build root

* Mon May 24 1999 Dale Lovelace <dale@redhat.com>
- Take out my wacky HORDE/config/modules file
- Made the RPM noarch
- added %defattr(-,nobody,nobody)

* Tue May 18 1999 Dale Lovelace <dale@redhat.com>
- Add new Summary: and %description from Mike Hardy <mike@itsprojects.com>

* Tue May 04 1999 Dale Lovelace <dale@redhat.com>
- Make relocatable prefix=/home/httpd/html
- Run install.sh to set perm's etc.
- Add horde/config dir files as %config

* Fri Apr 30 1999 Dale Lovelace <dale@redhat.com> 
- Build first RPM

